AxisStamp = function(canvas, line, positions, stamp, getter)
    for i = 1, #positions do
        local x, y = line.x1, line.y1
        if x == line.x2 then
            y = positions[i]
        elseif y == line.y2 then
            x = positions[i]
        end
        if x and y then
            stamp(canvas, x, y, getter())
        end
    end
end

return AxisStamp
